elincl Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
elincl Module Reference
Collaboration diagram for elincl:

## Public Member Functions
subroutine | init_elec
subroutine | finalize_elec

## Data Fields
double precision | permvi
double precision | epszer
integer, dimension(ntypmx), save | ientm1
integer, dimension(ntypmx), save | ielph1
integer, dimension(ntypmx), save | ielph2
integer, dimension(ntypmx), save | ielph3
integer, dimension(ntypmx), save | ielneu
double precision, dimension(ngazgm, npot), save | rhoel
double precision, dimension(ngazgm, npot), save | cpel
double precision, dimension(ngazgm, npot), save | sigel
double precision, dimension(ngazgm, npot), save | visel
double precision, dimension(ngazgm, npot), save | xlabel
double precision, dimension(ngazgm, npot), save | xkabel
integer | nelemx
integer | nbtrmx
integer, save | nbelec
integer, save | nbtrf
integer, save | ntfref
integer, dimension(nelemx), save | ielecc
integer, dimension(nelemx), save | ielect
integer, dimension(nelemx), save | ielecb
integer, dimension(nbtrmx), save | ibrpr
integer, dimension(nbtrmx), save | ibrsec
double precision, dimension(nbtrmx), save | tenspr
double precision, dimension(nbtrmx), save | rnbs
double precision, dimension(nbtrmx), save | zr
double precision, dimension(nbtrmx), save | zi
double precision, dimension(nbtrmx), save | uroff
double precision, dimension(nbtrmx), save | uioff
integer, save | ixkabe
integer, save | ntdcla
integer, save | iclaq
double precision, save | xclaq
double precision, save | yclaq
double precision, save | zclaq
double precision, dimension(5), save | crit_reca
integer, save | ielcor
integer, save | modrec
integer, save | idreca
integer, dimension(:), allocatable | izreca
double precision, save | couimp
double precision, save | dpot
double precision, save | puisim
double precision, save | coejou
double precision, save | elcou
double precision, dimension(ngazgm), save | qespel
double precision, dimension(ngazgm), save | suscep

## Member Function/Subroutine Documentation

subroutine finalize_elec | ( |  | ) |

subroutine init_elec | ( |  | ) |

## Field Documentation

double precision, save coejou

double precision, save couimp

double precision, dimension (ngazgm,npot), save cpel

double precision, dimension(5), save crit_reca

double precision, save dpot

double precision, save elcou

double precision epszer

integer, dimension(nbtrmx), save ibrpr

integer, dimension(nbtrmx), save ibrsec

integer, save iclaq

integer, save idreca

integer, save ielcor

integer, dimension(nelemx), save ielecb

integer, dimension(nelemx), save ielecc

integer, dimension(nelemx), save ielect

integer, dimension(ntypmx), save ielneu

integer, dimension(ntypmx), save ielph1

integer, dimension(ntypmx), save ielph2

integer, dimension(ntypmx), save ielph3

integer, dimension(ntypmx), save ientm1

integer, save ixkabe

integer, dimension(:), allocatable izreca

integer, save modrec

integer, save nbelec

integer, save nbtrf

integer nbtrmx

integer nelemx

integer, save ntdcla

integer, save ntfref

double precision permvi

double precision, save puisim

double precision, dimension(ngazgm), save qespel

double precision, dimension (ngazgm,npot), save rhoel

double precision, dimension(nbtrmx), save rnbs

double precision, dimension (ngazgm,npot), save sigel

double precision, dimension(ngazgm), save suscep

double precision, dimension(nbtrmx), save tenspr

double precision, dimension(nbtrmx), save uioff

double precision, dimension(nbtrmx), save uroff

double precision, dimension (ngazgm,npot), save visel

double precision, save xclaq

double precision, dimension(ngazgm,npot), save xkabel

double precision, dimension(ngazgm,npot), save xlabel

double precision, save yclaq

double precision, save zclaq

double precision, dimension(nbtrmx), save zi

double precision, dimension(nbtrmx), save zr

The documentation for this module was generated from the following file:

- src/elec/elincl.f90